Attribute VB_Name = "Module1"
Sub main()
Dim oConn As New ADODB.Connection
Dim oRec As New ADODB.Record
Dim strURL As String

On Error Resume Next

strURL = "file://./backofficestorage/ywd.extest.microsoft.com/mbx/user1/"

With oConn
    .Provider = "ExOledb.DataSource"
    .ConnectionString = strURL
    .Open
End With

oRec.Open strURL & "inbox/", oConn

For i = 1 To oRec.Fields.Count
    Debug.Print oRec.Fields(i).Name & " = " & oRec.Fields(i).Value
Next

Set oRec = Nothing

Stop

End Sub
